Skip to main content

Organizations Management

Manage organizations and onboard assets for enterprise accounts.

info

These endpoints are available for enterprise accounts only.

Create Organization

HTTP Request

POST https://fullhunt.io/api/v1/enterprise/organizations

Request Body

{
"name": "Acme Corp",
"description": "Primary enterprise org"
}

Example Response

{
"id": "3db40e1c-1d26-4309-b0c4-105fde3b3486",
"name": "Acme Corp",
"description": "Primary enterprise org",
"is_default": false
}

Delete Organization

HTTP Request

DELETE https://fullhunt.io/api/v1/enterprise/organizations/{org_id}

Example Response

{
"status": "success"
}

Notes:

  • Default organizations cannot be deleted.
  • Deleting an organization removes its related assets and data.

Add Domain to Organization

HTTP Request

POST https://fullhunt.io/api/v1/enterprise/organizations/{org_id}/domains

Request Body

{
"domain": "example.com"
}

Example Response

{
"status": "success",
"asset": "example.com",
"type": "dns"
}

Add IP Range to Organization

HTTP Request

POST https://fullhunt.io/api/v1/enterprise/organizations/{org_id}/ip-ranges

Request Body

{
"ip_range": "203.0.113.0/24"
}

Example Response

{
"status": "success",
"asset": "203.0.113.0/24",
"type": "ip-range"
}

Delete Domain or IP Range

HTTP Request

DELETE https://fullhunt.io/api/v1/enterprise/organizations/{org_id}/domains
DELETE https://fullhunt.io/api/v1/enterprise/organizations/{org_id}/ip-ranges

Request Body

{
"domain": "example.com"
}
{
"ip_range": "203.0.113.0/24"
}

Example Response

{
"status": "success",
"asset": "example.com",
"type": "dns"
}

Update Domain or IP Range Settings

HTTP Request

PUT https://fullhunt.io/api/v1/enterprise/organizations/{org_id}/domains/settings
PUT https://fullhunt.io/api/v1/enterprise/organizations/{org_id}/ip-ranges/settings

Request Body

{
"domain": "example.com",
"organization_id": "3db40e1c-1d26-4309-b0c4-105fde3b3486",
"is_global_continuous_scans_enabled": true,
"is_global_target_notifications_enabled": true,
"is_redacted_from_community_platform": true
}
{
"ip_range": "203.0.113.0/24",
"organization_id": "3db40e1c-1d26-4309-b0c4-105fde3b3486",
"is_global_continuous_scans_enabled": true,
"is_global_target_notifications_enabled": true,
"is_redacted_from_community_platform": false
}

Example Response

{
"status": "success",
"asset": "example.com",
"type": "dns"
}